Index: /branches/feature-module-update/html/mobile/guide/charge.php
===================================================================
--- /branches/feature-module-update/html/mobile/guide/charge.php	(revision 16162)
+++ /branches/feature-module-update/html/mobile/guide/charge.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/guide/LC_Page_Guide_Charge_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/guide/LC_Page_Guide_Charge_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/guide/about.php
===================================================================
--- /branches/feature-module-update/html/mobile/guide/about.php	(revision 16162)
+++ /branches/feature-module-update/html/mobile/guide/about.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/guide/LC_Page_Guide_About_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/guide/LC_Page_Guide_About_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/index.php	(revision 16207)
+++ /branches/feature-module-update/html/mobile/index.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("./require.php");
-require_once(CLASS_PATH . "page_extends/LC_Page_Index_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/LC_Page_Index_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/forgot/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/forgot/index.php	(revision 16156)
+++ /branches/feature-module-update/html/mobile/forgot/index.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/forgot/LC_Page_Forgot_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/forgot/LC_Page_Forgot_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/entry/email_mobile.php
===================================================================
--- /branches/feature-module-update/html/mobile/entry/email_mobile.php	(revision 16204)
+++ /branches/feature-module-update/html/mobile/entry/email_mobile.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/entry/LC_Page_Entry_EmailMobile_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/entry/LC_Page_Entry_EmailMobile_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/entry/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/entry/index.php	(revision 16132)
+++ /branches/feature-module-update/html/mobile/entry/index.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/entry/LC_Page_Entry_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/entry/LC_Page_Entry_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/entry/complete.php
===================================================================
--- /branches/feature-module-update/html/mobile/entry/complete.php	(revision 16155)
+++ /branches/feature-module-update/html/mobile/entry/complete.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/entry/LC_Page_Entry_Complete_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/entry/LC_Page_Entry_Complete_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/entry/new.php
===================================================================
--- /branches/feature-module-update/html/mobile/entry/new.php	(revision 16148)
+++ /branches/feature-module-update/html/mobile/entry/new.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/entry/LC_Page_Entry_New_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/entry/LC_Page_Entry_New_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/entry/kiyaku.php
===================================================================
--- /branches/feature-module-update/html/mobile/entry/kiyaku.php	(revision 16150)
+++ /branches/feature-module-update/html/mobile/entry/kiyaku.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/entry/LC_Page_Entry_Kiyaku_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/entry/LC_Page_Entry_Kiyaku_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/frontparts/bloc/news.php
===================================================================
--- /branches/feature-module-update/html/mobile/frontparts/bloc/news.php	(revision 16161)
+++ /branches/feature-module-update/html/mobile/frontparts/bloc/news.php	(revision 16326)
@@ -11,5 +11,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_News_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_News_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/frontparts/bloc/category.php
===================================================================
--- /branches/feature-module-update/html/mobile/frontparts/bloc/category.php	(revision 16161)
+++ /branches/feature-module-update/html/mobile/frontparts/bloc/category.php	(revision 16326)
@@ -11,5 +11,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Category_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Category_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/frontparts/bloc/best5.php
===================================================================
--- /branches/feature-module-update/html/mobile/frontparts/bloc/best5.php	(revision 16158)
+++ /branches/feature-module-update/html/mobile/frontparts/bloc/best5.php	(revision 16326)
@@ -11,5 +11,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Best5_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/require.php
===================================================================
--- /branches/feature-module-update/html/mobile/require.php	(revision 16322)
+++ /branches/feature-module-update/html/mobile/require.php	(revision 16326)
@@ -16,8 +16,8 @@
 require_once($include_dir . "/.." . HTML2DATA_DIR . "conf/mobile_conf.php");
 require_once($include_dir . "/.." . HTML2DATA_DIR . "include/module.inc");
-require_once(CLASS_PATH . "util_extends/GC_Utils_Ex.php");
-require_once(CLASS_PATH . "util_extends/SC_Utils_Ex.php");
-require_once(CLASS_PATH . "db_extends/SC_DB_MasterData_Ex.php");
-require_once(CLASS_PATH . "db_extends/SC_DB_DBFactory_Ex.php");
+require_once(CLASS_EX_PATH . "util_extends/GC_Utils_Ex.php");
+require_once(CLASS_EX_PATH . "util_extends/SC_Utils_Ex.php");
+require_once(CLASS_EX_PATH . "db_extends/SC_DB_MasterData_Ex.php");
+require_once(CLASS_EX_PATH . "db_extends/SC_DB_DBFactory_Ex.php");
 require_once(CLASS_PATH . "SC_View.php");
 require_once(CLASS_PATH . "SC_DbConn.php");
@@ -42,9 +42,9 @@
 require_once(CLASS_PATH . "GC_MobileEmoji.php");
 require_once(CLASS_PATH . "GC_MobileImage.php");
-require_once(CLASS_PATH . "helper_extends/SC_Helper_PageLayout_Ex.php");
-require_once(CLASS_PATH . "helper_extends/SC_Helper_DB_Ex.php");
-require_once(CLASS_PATH . "helper_extends/SC_Helper_Mobile_Ex.php");
-require_once(CLASS_PATH . "helper_extends/SC_Helper_Session_Ex.php");
-require_once(CLASS_PATH . "helper_extends/SC_Helper_Mail_Ex.php");
+require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_PageLayout_Ex.php");
+require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_DB_Ex.php");
+require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Mobile_Ex.php");
+require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Session_Ex.php");
+require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Mail_Ex.php");
 include_once($include_dir . "/require_plugin.php");
 
Index: /branches/feature-module-update/html/mobile/products/list.php
===================================================================
--- /branches/feature-module-update/html/mobile/products/list.php	(revision 16165)
+++ /branches/feature-module-update/html/mobile/products/list.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/products/LC_Page_Products_List_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/products/LC_Page_Products_List_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/products/detail.php
===================================================================
--- /branches/feature-module-update/html/mobile/products/detail.php	(revision 16166)
+++ /branches/feature-module-update/html/mobile/products/detail.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/products/LC_Page_Products_Detail_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/products/LC_Page_Products_Detail_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/products/search.php
===================================================================
--- /branches/feature-module-update/html/mobile/products/search.php	(revision 16203)
+++ /branches/feature-module-update/html/mobile/products/search.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/products/LC_Page_Products_Search_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/products/LC_Page_Products_Search_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/products/category_list.php
===================================================================
--- /branches/feature-module-update/html/mobile/products/category_list.php	(revision 16207)
+++ /branches/feature-module-update/html/mobile/products/category_list.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/products/LC_Page_Products_CategoryList_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/products/LC_Page_Products_CategoryList_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/mypage/history_detail.php
===================================================================
--- /branches/feature-module-update/html/mobile/mypage/history_detail.php	(revision 16238)
+++ /branches/feature-module-update/html/mobile/mypage/history_detail.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/mypage/LC_Page_Mypage_HistoryDetail_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/mypage/LC_Page_Mypage_HistoryDetail_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/mypage/change.php
===================================================================
--- /branches/feature-module-update/html/mobile/mypage/change.php	(revision 16234)
+++ /branches/feature-module-update/html/mobile/mypage/change.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/mypage/LC_Page_Mypage_Change_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/mypage/LC_Page_Mypage_Change_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/mypage/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/mypage/index.php	(revision 16210)
+++ /branches/feature-module-update/html/mobile/mypage/index.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/mypage/LC_Page_Mypage_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/mypage/LC_Page_Mypage_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/mypage/refusal_complete.php
===================================================================
--- /branches/feature-module-update/html/mobile/mypage/refusal_complete.php	(revision 16238)
+++ /branches/feature-module-update/html/mobile/mypage/refusal_complete.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/mypage/LC_Page_Mypage_RefusalComplete_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/mypage/LC_Page_Mypage_RefusalComplete_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/mypage/order.php
===================================================================
--- /branches/feature-module-update/html/mobile/mypage/order.php	(revision 16238)
+++ /branches/feature-module-update/html/mobile/mypage/order.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/mypage/LC_Page_Mypage_Order_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/mypage/LC_Page_Mypage_Order_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/mypage/change_complete.php
===================================================================
--- /branches/feature-module-update/html/mobile/mypage/change_complete.php	(revision 16238)
+++ /branches/feature-module-update/html/mobile/mypage/change_complete.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/mypage/LC_Page_Mypage_ChangeComplete_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/mypage/LC_Page_Mypage_ChangeComplete_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/mypage/history.php
===================================================================
--- /branches/feature-module-update/html/mobile/mypage/history.php	(revision 16238)
+++ /branches/feature-module-update/html/mobile/mypage/history.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/mypage/LC_Page_Mypage_History_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/mypage/LC_Page_Mypage_History_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/mypage/refusal.php
===================================================================
--- /branches/feature-module-update/html/mobile/mypage/refusal.php	(revision 16238)
+++ /branches/feature-module-update/html/mobile/mypage/refusal.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/mypage/LC_Page_Mypage_Refusal_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/mypage/LC_Page_Mypage_Refusal_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/shopping/deliv.php
===================================================================
--- /branches/feature-module-update/html/mobile/shopping/deliv.php	(revision 16170)
+++ /branches/feature-module-update/html/mobile/shopping/deliv.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/shopping/LC_Page_Shopping_Deliv_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/shopping/LC_Page_Shopping_Deliv_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/shopping/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/shopping/index.php	(revision 16168)
+++ /branches/feature-module-update/html/mobile/shopping/index.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/shopping/LC_Page_Shopping_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/shopping/LC_Page_Shopping_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/unsupported/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/unsupported/index.php	(revision 16149)
+++ /branches/feature-module-update/html/mobile/unsupported/index.php	(revision 16326)
@@ -8,5 +8,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/unsupported/LC_Page_Unsupported_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/unsupported/LC_Page_Unsupported_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/cart/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/cart/index.php	(revision 16207)
+++ /branches/feature-module-update/html/mobile/cart/index.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/cart/LC_Page_Cart_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/cart/LC_Page_Cart_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/contact/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/contact/index.php	(revision 16207)
+++ /branches/feature-module-update/html/mobile/contact/index.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/contact/LC_Page_Contact_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/contact/LC_Page_Contact_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/magazine/confirm.php
===================================================================
--- /branches/feature-module-update/html/mobile/magazine/confirm.php	(revision 16164)
+++ /branches/feature-module-update/html/mobile/magazine/confirm.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/magazine/LC_Page_Magazine_Confirm_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/magazine/LC_Page_Magazine_Confirm_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/magazine/regist.php
===================================================================
--- /branches/feature-module-update/html/mobile/magazine/regist.php	(revision 16164)
+++ /branches/feature-module-update/html/mobile/magazine/regist.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/magazine/LC_Page_Magazine_Regist_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/magazine/LC_Page_Magazine_Regist_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/magazine/cancel.php
===================================================================
--- /branches/feature-module-update/html/mobile/magazine/cancel.php	(revision 16164)
+++ /branches/feature-module-update/html/mobile/magazine/cancel.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/magazine/LC_Page_Magazine_Cancel_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/magazine/LC_Page_Magazine_Cancel_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/magazine/index.php
===================================================================
--- /branches/feature-module-update/html/mobile/magazine/index.php	(revision 16164)
+++ /branches/feature-module-update/html/mobile/magazine/index.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/magazine/LC_Page_Magazine_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/magazine/LC_Page_Magazine_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/html/mobile/magazine/complete.php
===================================================================
--- /branches/feature-module-update/html/mobile/magazine/complete.php	(revision 16164)
+++ /branches/feature-module-update/html/mobile/magazine/complete.php	(revision 16326)
@@ -12,5 +12,5 @@
 // {{{ requires
 require_once("../require.php");
-require_once(CLASS_PATH . "page_extends/magazine/LC_Page_Magazine_Complete_Ex.php");
+require_once(CLASS_EX_PATH . "page_extends/magazine/LC_Page_Magazine_Complete_Ex.php");
 
 // }}}
Index: /branches/feature-module-update/data/class_extends/db_extends/SC_DB_MasterData_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/db_extends/SC_DB_MasterData_Ex.php	(revision 15532)
+++ /branches/feature-module-update/data/class_extends/db_extends/SC_DB_MasterData_Ex.php	(revision 15532)
@@ -0,0 +1,22 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "db/SC_DB_MasterData.php");
+
+/**
+ * マスタデータを扱うクラス(拡張).
+ *
+ * SC_DB_MasterData をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package DB
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class SC_DB_MasterData_Ex extends SC_DB_MasterData {
+}
+?>
Index: /branches/feature-module-update/data/class_extends/db_extends/SC_DB_DBFactory_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/db_extends/SC_DB_DBFactory_Ex.php	(revision 16326)
+++ /branches/feature-module-update/data/class_extends/db_extends/SC_DB_DBFactory_Ex.php	(revision 16326)
@@ -0,0 +1,46 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "db/SC_DB_DBFactory.php");
+require_once(CLASS_EX_PATH . "db_extends/dbfactory/SC_DB_DBFactory_MYSQL_Ex.php");
+require_once(CLASS_EX_PATH . "db_extends/dbfactory/SC_DB_DBFactory_PGSQL_Ex.php");
+
+/**
+ * DBに依存した処理を抽象化するファクトリークラス(拡張).
+ *
+ * SC_DB_DBFactory をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package DB
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class SC_DB_DBFactory_Ex extends SC_DB_DBFactory {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * DB_TYPE に応じた DBFactory インスタンスを生成する.
+     *
+     * @return mixed DBFactory インスタンス
+     */
+    function getInstance() {
+        switch (DB_TYPE) {
+        case "mysql":
+            return new SC_DB_DBFactory_MYSQL_Ex();
+            break;
+
+        case "pgsql":
+            return new SC_DB_DBFactory_PGSQL_Ex();
+            break;
+
+        default:
+        }
+    }
+}
+?>
Index: /branches/feature-module-update/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_MYSQL_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_MYSQL_Ex.php	(revision 15532)
+++ /branches/feature-module-update/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_MYSQL_Ex.php	(revision 15532)
@@ -0,0 +1,22 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "db/dbfactory/SC_DB_DBFactory_MYSQL.php");
+
+/**
+ * MySQL 固有の処理をするクラス(拡張).
+ *
+ * SC_DB_DBFactory_MYSQL をカスタマイズする場合は, このクラスを使用する.
+ *
+ * @package DB
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class SC_DB_DBFactory_MYSQL_Ex extends SC_DB_DBFactory_MYSQL {
+}
+?>
Index: /branches/feature-module-update/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_PGSQL_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_PGSQL_Ex.php	(revision 15532)
+++ /branches/feature-module-update/data/class_extends/db_extends/dbfactory/SC_DB_DBFactory_PGSQL_Ex.php	(revision 15532)
@@ -0,0 +1,22 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "db/dbfactory/SC_DB_DBFactory_PGSQL.php");
+
+/**
+ * PostgreSQL 固有の処理をするクラス(拡張).
+ *
+ * SC_DB_DBFactory_PGSQL をカスタマイズする場合は, このクラスを使用する.
+ *
+ * @package DB
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class SC_DB_DBFactory_PGSQL_Ex extends SC_DB_DBFactory_PGSQL {
+}
+?>
Index: /branches/feature-module-update/data/class_extends/page_extends/order/LC_Page_Order_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/page_extends/order/LC_Page_Order_Ex.php	(revision 15532)
+++ /branches/feature-module-update/data/class_extends/page_extends/order/LC_Page_Order_Ex.php	(revision 15532)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/order/LC_Page_Order.php");
+
+/**
+ * 特定商取引に関する法律 のページクラス(拡張).
+ *
+ * LC_Page_Order をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Order_Ex extends LC_Page_Order {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/data/class_extends/page_extends/LC_Page_InputZip_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/page_extends/LC_Page_InputZip_Ex.php	(revision 16174)
+++ /branches/feature-module-update/data/class_extends/page_extends/LC_Page_InputZip_Ex.php	(revision 16174)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page_InputZip.php");
+
+/**
+ * 郵便番号検索 のページクラス(拡張).
+ *
+ * LC_Page_InputZip をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_InputZip_Ex extends LC_Page_InputZip {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_Ex.php	(revision 16066)
+++ /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_Ex.php	(revision 16066)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/mypage/LC_Page_Mypage.php");
+
+/**
+ * MyPage のページクラス(拡張).
+ *
+ * LC_Page_MyPage をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Mypage_Ex extends LC_Page_Mypage {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_History_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_History_Ex.php	(revision 16102)
+++ /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_History_Ex.php	(revision 16102)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/mypage/LC_Page_Mypage_History.php");
+
+/**
+ * 購入履歴 のページクラス(拡張).
+ *
+ * LC_Page_Mypage_History をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Mypage_History_Ex extends LC_Page_Mypage_Hisotory {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_Refusal_Ex.php
===================================================================
--- /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_Refusal_Ex.php	(revision 16107)
+++ /branches/feature-module-update/data/class_extends/page_extends/mypage/LC_Page_Mypage_Refusal_Ex.php	(revision 16107)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/mypage/LC_Page_Mypage_Refusal.php");
+
+/**
+ * 退会手続き のページクラス(拡張).
+ *
+ * LC_Page_Mypage_Refusal をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Mypage_Refusal_Ex extends LC_Page_Mypage_Refusal {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
